----------------------------------------------------------------------
-- file:   cws_message_drop.sql
-- action: drop CWS message objects
-- usage:  connect as SYSTEM
--         run this script
--
----------------------------------------------------------------------

spool cws_message_drop.log

set echo off
prompt
prompt This script will drop message objects and data. If you do not
prompt want to drop them, or if you are unsure, exit this script now.
prompt
pause Press the enter key to drop message objects and data.
prompt
set echo on

drop package CWS_DATA.MESSAGE;
drop view CWS_DATA.MESSAGES;

--drop synonym CWS_CONNECT.MESSAGES;
--drop synonym CWS_CONNECT.MESSAGE;

begin
  DBMS_AQADM.stop_queue ('CWS_DATA.MESSAGE_QUEUE');
  DBMS_AQADM.drop_queue ('CWS_DATA.MESSAGE_QUEUE');
  DBMS_AQADM.drop_queue_table ('CWS_DATA.MESSAGE_QUEUE_TABLE');
end;
/

drop sequence CWS_DATA.SEQ_MESSAGE_NUMBERS;

drop type CWS_DATA.MESSAGE_TYPE;

spool off
